#
# spec file for package python-zeroconf
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zeroconf
Version:        0.19.1
Release:        lp151.3.2
Summary:        Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)
License:        LGPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/jstasiak/python-zeroconf
Source:         https://pypi.io/packages/source/z/zeroconf/zeroconf-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-enum-compat
Requires:       python-netifaces
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
This is a fork of pyzeroconf, a Multicast DNS Service Discovery for Python.
It is compatible with Bonjour and Avahi.
Compared to some other Zeroconf/Bonjour/Avahi Python packages, python-zeroconf
is not tied to Bonjour or Avahi, does not use D-Bus and
does not force you to use a particular event loop or python-twisted.

%prep
%setup -q -n zeroconf-%{version}

%build
%python_build

%install
%python_install

%files %python_files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 15 2018 alarrosa@suse.com
- Remove patch which was breaking zeroconf dependency check with python3
  (it was making pkg_resources generate a DistributionNotFound exception
  because enum34 wasn't found). enum34 is only required by the python2
  package, which is what the enum-compat  package is all about.
  * python-zeroconf-0.19.1-enum34-instead-of-enum-compat.patch
- Require python-enum-compat to require python-enum34 on python2 and
  nothing on python3, just as the egg's requires.txt file does.
* Fri Jul  7 2017 antoine.belvire@opensuse.org
- Update to version 0.19.1:
  * Remove outdated example
  * On Windows, python-netifaces 0.10.5 triggers a bug - This has
    no impact for us, therefore there is no need for us to add a
    version requirement on this dependency as upstream did.
- Rebase patch:
  * Remove
    python-zeroconf-0.17.4-enum34-instead-of-enum-compat.patch.
  * Add python-zeroconf-0.19.1-enum34-instead-of-enum-compat.patch.
* Sat Mar 18 2017 antoine.belvire@opensuse.org
- Remove .changes file from source (not needed).
* Sat Mar 18 2017 stefan.bruens@rwth-aachen.de
- Convert package to python singlespec
* Sat Feb 18 2017 antoine.belvire@opensuse.org
- Update to 0.18.0:
  * Dropped Python 2.6 support
  * Improved error handling inside code executed when Zeroconf
    object is being closed
- Changes from 0.17.7:
  * Better Handling of DNS Incoming Packets parsing exceptions
  * Many exceptions will now log a warning the first time they are seen
  * Catch and log sendto() errors
  * Fix/Implement duplicate name change
  * Fix overly strict name validation introduced in 0.17.6
  * Greatly improve handling of oversized packets including:
    + Implement name compression per RFC1035
    + Limit size of generated packets to 9000 bytes as per RFC6762
    + Better handle over sized incoming packets
  * Increased test coverage to 95%%
* Wed Dec 28 2016 jengelh@inai.de
- Improve write style of description
* Wed Dec 28 2016 tbechtold@suse.com
- Use pypi.io as Source
* Sun Jul 17 2016 antoine.belvire@laposte.net
- Update to 0.17.6:
  * Many improvements to address race conditions and exceptions
    during ZC() startup and shutdown, thanks to: morpav, veawor,
    justingiorgi, herczy, stephenrauch
  * Added more test coverage: strahlex, stephenrauch
  * Stephen Rauch contributed:
    + Speed up browser startup
    + Add ZeroconfServiceTypes() query class to discover all
    advertised service types
    + Add full validation for service names, types and subtypes
    + Fix for subtype browsing
    + Fix DNSHInfo support
* Wed Mar 16 2016 antoine.belvire@laposte.net
- Fix build on SLE 11: avoid BuildArch noarch.
* Wed Mar 16 2016 antoine.belvire@laposte.net
- Update to 0.17.5:
  * Fix OpenBSD compatibility, thanks to Alessio Sergi
  * Fix race condition on ServiceBrowser startup, thanks to
    gbiddison
  * Fix installation on some Python 3 systems, thanks to Per
    Sandström
  * Fixed "size change during iteration" bug on Python 3, thanks to
    gbiddison
* Thu Mar 10 2016 antoine.belvire@laposte.net
- New package: python-zeroconf-0.17.4
- Add python-zeroconf-0.17.4-enum34-instead-of-enum-compat.patch:
  there is no need for a virtual python-enum-compat package here.
